Open SCAP Library: oval_entity Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_entity Struct Reference
OVAL » OVALDEF

OVAL entity. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_entity * | oval_entity_new (struct oval_definition_model *)
struct oval_entity * | oval_entity_clone (struct oval_definition_model *model, struct oval_entity *old_entity)
void | oval_entity_free (struct oval_entity *)
Setters
void | oval_entity_set_type (struct oval_entity *, oval_entity_type_t)
void | oval_entity_set_datatype (struct oval_entity *, oval_datatype_t)
void | oval_entity_set_mask (struct oval_entity *, int)
void | oval_entity_set_varref_type (struct oval_entity *, oval_entity_varref_type_t)
void | oval_entity_set_variable (struct oval_entity *, struct oval_variable *)
void | oval_entity_set_value (struct oval_entity *, struct oval_value *)
void | oval_entity_set_name (struct oval_entity *, char *)
void | oval_entity_set_operation (struct oval_entity *, oval_operation_t)
Getters
char * | oval_entity_get_name (struct oval_entity *)
| Get OVAL entity name. More...
oval_entity_type_t | oval_entity_get_type (struct oval_entity *)
| Get OVAL entity type.
oval_datatype_t | oval_entity_get_datatype (struct oval_entity *)
| Get OVAL entity datatype.
oval_operation_t | oval_entity_get_operation (struct oval_entity *)
| Get OVAL entity operation type.
struct oval_variable * | oval_entity_get_variable (struct oval_entity *)
| Get OVAL entity varref variable. More...
struct oval_value * | oval_entity_get_value (struct oval_entity *)
| Get OVAL entity value. More...
int | oval_entity_get_mask (struct oval_entity *)
| Get OVAL entity mask.
oval_entity_varref_type_t | oval_entity_get_varref_type (struct oval_entity *)
| Get OVAL entity varref type.

## Data Fields
struct oval_definition_model * | model
oval_entity_type_t | type
oval_datatype_t | datatype
oval_operation_t | operation
int | mask
oval_entity_varref_type_t | varref_type
char * | name
struct oval_variable * | variable
struct oval_value * | value
bool | xsi_nil
| :nil boolean attribute

## Detailed Description

OVAL entity.

The documentation for this struct was generated from the following files:

- oval_entity.c
- oval_definitions.h